/* style.css */

/* Ajustes gerais para o carrossel */
.hero-section {
    margin-top: 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    height: 100vh;
    /* Ajusta a altura da seção para ocupar toda a tela */
    overflow: hidden;
    /* Garante que o conteúdo não transborde */
    z-index: 10;
    /* Garante que o carrossel esteja no fundo */
}

.carousel-image {
    object-fit: cover;
    /* Faz com que a imagem cubra toda a área disponível */
    height: 100vh;
    /* Ajusta a altura das imagens para ocupar toda a tela */
    width: 100%;
    /* Garante que a largura das imagens ocupe 100% do contêiner */
}

/* Ajustes específicos para legendas do carrossel */
.carousel-caption {
    position: absolute;
    bottom: 50%;
    left: 50%;
    transform: translate(-50%, 50%);
    text-align: center;
    z-index: 10;
    /* Garante que a legenda esteja acima da imagem */
}

.carousel-caption h1 {
    font-size: 3rem;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    /* Sombra leve */
}

.carousel-caption p {
    font-size: 1.5rem;
}

/* Ajustes de mídia para dispositivos móveis */
@media (max-width: 768px) {
    .carousel-caption h1 {
        font-size: 2rem;
    }

    .carousel-caption p {
        font-size: 1rem;
    }

    .hero-section {
        height: 60vh;
        /* Ajusta a altura da seção para ocupar menos espaço em dispositivos móveis */
    }

    .carousel-image {
        height: 60vh;
        /* Ajusta a altura das imagens para ocupar menos espaço em dispositivos móveis */
    }
}

/* Garante que a próxima seção comece depois do carrossel */
.next-section {
    position: relative;
    z-index: 3;
    /* Garante que a próxima seção esteja acima do carrossel */
    margin-top: -100px;
    /* Ajuste conforme necessário */
    padding-top: 100px;
    /* Ajuste conforme necessário */
    background-color: white;
    /* Ou qualquer cor de fundo desejada */
}

.navbar {
    background-color: #fff;
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
}

.navbar img {
    height: auto;
    width: 150px;
}

.navbar .btn {
    margin-left: 10px;
}

.hero-content {
    text-align: center;
    color: #fff;
    padding: 20px;
    border-radius: 10px;
}

.hero-content h1 {
    font-size: 3rem;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    /* Sombra leve */
}

.hero-content p {
    font-size: 1.5rem;
}

.contact-buttons {
    display: flex;
    justify-content: center;
    background: #fff;
    padding: 20px;
    color: #292828;
}

.contact-buttons a {
    margin: 8px;
    font-size: 2rem;
    color: #292828;
}

.contact-buttons a:hover {
    color: #80CC28;
    /* Altera a cor do ícone ao passar o mouse */
}

.action-buttons {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

button {
    margin: 0 20px;
    font-size: 2rem;
    background: none;
    border: none;
    cursor: pointer;
    padding: 2px;
}

button i {
    color: #292828;
}

button i:hover {
    color: #80CC28;
}

.quote-button {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    background-color: #f8f9fa00;
}

.quote-button .btn {
    max-width: 300px;
}

.contact-section {
    text-align: center;
    margin: 0 auto;
    background-color: #f0f0f0;
    /* Cor de fundo cinza claro */
    padding: 20px;
    /* Adiciona um pouco de espaço interno */
    border-radius: 10px;
    /* Adiciona cantos arredondados */
}

.btn-primary {
    -bs-btn-color: #fff;
    --bs-btn-bg: #80CC28;
    --bs-btn-border-color: #80CC28;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #292828;
    --bs-btn-hover-border-color: #292828;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #292828;
    --bs-btn-active-border-color: #292828;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #0d6efd;
    --bs-btn-disabled-border-color: #0d6efd;
}

body {
    background-color: #f8f9fa;
    transition: background-color 0.3s ease;
    padding-top: 60px;
    padding-bottom: 60px;
}

.logo-container {
    width: 100%;
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;
    background-color: rgb(255, 255, 255);
    padding: 10px;
}

.logo {
    max-width: 50%;
    width: 200px;
    margin-bottom: 20px;
}

.theme-toggle {
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 1030;
}

.content-wrapper {
    max-width: 100%;
    padding: 0 20px;
    margin: 0 auto;
}

.input-group-prepend .btn,
.input-group-append .btn {
    background-color: #6c757d;
    color: white;
}

.input-group-prepend .btn:hover,
.input-group-append .btn:hover {
    background-color: #5a6268;
}

.cookie-consent {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.8);
    color: white;
    padding: 1rem;
    text-align: center;
    z-index: 9999;
}

.cookie-consent button {
    background-color: #138f40;
    color: white;
    border: none;
    padding: 0.5rem 1rem;
    cursor: pointer;
}

@media (min-width: 768px) {
    .quote-button {
        width: auto;
        right: 10px;
        left: auto;
        bottom: 10px;
    }
}

.card-body {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.card-text {
    flex-grow: 1;
}